package com.xunmei.common.core.domain.edu.domain;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.xunmei.common.core.web.domain.BaseEntity;

/**
 * 教育培训计划对象 core_edu_training_plan
 *
 * @author xunmei
 * @date 2023-08-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("core_edu_training_plan")
@ApiModel(value = "CoreEduTrainingPlan对象", description = "教育培训计划")
public class CoreEduTrainingPlan extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;

    @TableField("plan_name")
    @ApiModelProperty(value = "计划名称")
    private String planName;

    @TableField("plan_cycle")
    @ApiModelProperty(value = "计划周期")
    private Integer planCycle;


    @TableField("exec_times")
    @ApiModelProperty(value = "执行次数")
    private Integer execTimes;

    @TableField("plan_status")
    @ApiModelProperty(value = "计划状态")
    private int planStatus;

    @TableField("exec_org_type")
    @ApiModelProperty(value = "执行机构类型")
    private Integer execOrgType;
    @ApiModelProperty(value = "计划开始时间")
    @TableField("start_date")
    private Date startDate;
    @ApiModelProperty(value = "计划结束时间")
    @TableField("end_date")
    private Date endDate;

    @ApiModelProperty(value = "是否立即生效", notes = "0:否,1:是")
    @TableField(value = "build_task_now")
    private Integer buildTaskNow;

    @ApiModelProperty(value = "备注")
    @TableField(value = "remark")
    private String remark;

    @TableField("create_org_id")
    @ApiModelProperty(value = "计划创建机构")
    private Long createOrgId;

    @TableField("create_org_name")
    @ApiModelProperty(value = "计划创建机构名称")
    private String createOrgName;

    @TableField("create_org_path")
    @ApiModelProperty(value = "计划创建机构path")
    private String createOrgPath;

    @TableField("belong_org_id")
    @ApiModelProperty(value = "计划所属机构")
    private Long belongOrgId;

    @TableField("belong_org_name")
    @ApiModelProperty(value = "计划所属机构名称")
    private String belongOrgName;

    @TableField("belong_org_path")
    @ApiModelProperty(value = "计划所属机构path")
    private String belongOrgPath;

    @TableField("standard")
    @ApiModelProperty(value = "是否是标准计划,0:否,1:是")
    private Integer standard;

    @ApiModelProperty(value = "是否已下发", notes = "0:否,1:是")
    @TableField("issue")
    private Integer issue;

    @ApiModelProperty(value = "下发计划id")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "附件")
    @TableField("file_list")
    private List<String> fileList;

    @TableLogic(value = "0", delval = "1")
    @TableField(value = "deleted")
    @ApiModelProperty(value = "是否删除", notes = "0:否,1:是")
    private Integer deleted;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("planName", getPlanName())
                .append("planCycle", getPlanCycle())
                .append("execTimes", getExecTimes())
                .append("planStatus", getPlanStatus())
                .append("execOrgType", getExecOrgType())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("buildTaskNow", getBuildTaskNow())
                .append("createOrgId", getCreateOrgId())
                .append("createOrgName", getCreateOrgName())
                .append("createOrgPath", getCreateOrgPath())
                .append("belongOrgId", getBelongOrgId())
                .append("belongOrgName", getBelongOrgName())
                .append("belongOrgPath", getBelongOrgPath())
                .append("standard", getStandard())
                .append("issue", getIssue())
                .append("parentId", getParentId())
                .append("deleted", getDeleted())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
